aboutsummaryrefslogtreecommitdiffstats
path: root/testing/cpupower/cpupower.initd
diff options
context:
space:
mode:
authorBen Allen <bensallen@me.com>2016-01-10 03:04:18 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-01-11 21:24:24 +0000
commitfdb0d1c11bbc081c49898d439331c166f70fa807 (patch)
treef37802c72717e2624ad29a1289e80a91e7a034f1 /testing/cpupower/cpupower.initd
parent3b668b5d523c8640dcb00f74b86a749206191596 (diff)
downloadaports-fdb0d1c11bbc081c49898d439331c166f70fa807.tar.bz2
aports-fdb0d1c11bbc081c49898d439331c166f70fa807.tar.xz
testing/cpupower: Moving linux-tools to dedicated cpupower package. Update to use 4.1.15 kernel. Add cpupower initd and confd from Gentoo.
- Updating version to compile from Linux 4.1.15 source. - Adding a confd and initd from Gentoo's cpupower package, as is, except changing to #!/sbin/openrc-run in the initd. - Removing testing/linux-tools, and creating a dedicated testing/cpupower package. Cpupower needs a doc, lang, and dev subpkg.
Diffstat (limited to 'testing/cpupower/cpupower.initd')
-rw-r--r--testing/cpupower/cpupower.initd42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/cpupower/cpupower.initd b/testing/cpupower/cpupower.initd
new file mode 100644
index 0000000000..7e4584f5a7
--- /dev/null
+++ b/testing/cpupower/cpupower.initd
@@ -0,0 +1,42 @@
+#!/sbin/openrc-run
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+CPUFREQ_SYSFS=/sys/devices/system/cpu/cpufreq
+
+change() {
+ local c ret=0 opts="$1"
+ if [ -n "$opts" ] ; then
+ ebegin "Running cpupower -c all frequency-set ${opts}"
+ cpupower -c all frequency-set ${opts} >/dev/null 2>&1
+ : $(( ret += $? ))
+ eend ${ret}
+
+ if [ -d ${CPUFREQ_SYSFS} ] && [ -n "${SYSFS_EXTRA}" ] ; then
+ c=1
+ einfo "Setting extra options: ${SYSFS_EXTRA}"
+ if cd ${CPUFREQ_SYSFS} ; then
+ local o v
+ for o in ${SYSFS_EXTRA} ; do
+ v=${o#*=}
+ o=${o%%=*}
+ echo ${v} > ${o} || break
+ done
+ c=0
+ fi
+ eend ${c}
+ : $(( ret += c ))
+ fi
+ fi
+
+ return ${ret}
+}
+
+start() {
+ change "${START_OPTS}"
+}
+
+stop() {
+ change "${STOP_OPTS}"
+}